import { app } from 'electron';
import path from 'path';

export function getExternalJsonPath(filename: string): string {
	if (process.env.NODE_ENV === 'dev') {
		// 开发模式下使用相对路径
		return path.join(__dirname, '../../shared/jsons', filename);
	} else {
		// 生产模式下使用外部路径
		return path.join(app.getPath('userData'), 'jsons', filename);
	}
}